This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489009 - [RFE] Message Id should be propagated to messages carod sends
[RFE] Message Id should be propagated to messages carod sends
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.2
: ---
Assigned To: Robert Rati
Martin Kudlej
: FutureFeature
Depends On: 522467
Blocks: 527551
  Show dependency treegraph
 
Reported: 2009-03-06 12:48 EST by Matthew Farrellee
Modified: 2009-12-03 04:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Grid enhancement Messages produced by carod now carry the same MessageId as exists in work submitting AMQP messages. This will assist in correlation by submitter.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 04:19:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2009-03-06 12:48:50 EST
condor-low-latency-1.0-10.el5
condor-job-hooks-common-1.0-5.el5

A submitter of work via AMQP must set a MessageId to a unique value. It is used internally, by carod, to track messages.

The messages that carod produces while processing the work, e.g. status reject completion messages, do not carry a MessageId.

They should carry the same MessageId as the work, to assist in correlation by submitter.
Comment 1 Robert Rati 2009-03-19 13:36:13 EDT
Response messages from the low-latency daemon newo set a uuid for the message id and set the correlation id to the message id from the work being processed.

Fixed in:
condor-low-latency-1.0-13
Comment 3 Irina Boverman 2009-10-28 13:55:50 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Carod produced messages now carry the same MessageId as in work submitting AMQP messages, to assist in correlation by submitter (489009)
Comment 4 Lana Brindley 2009-11-04 21:10:50 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
-Carod produced messages now carry the same MessageId as in work submitting AMQP messages, to assist in correlation by submitter (489009)+Grid enhancement
+
+Messages produced by carod now carry the same MessageId as exists in work submitting AMQP messages. This will assist in correlation by submitter.
Comment 5 Martin Kudlej 2009-11-06 08:19:44 EST
Tested on RHEL 5.4 x86_64 with condor-low-latency-1.0-9.el5 and condor-job-hooks-common-1.0-5.el5 and it doesn't work.
Tested on RHEL 5.4/4.8 x i386/x86_64 with condor-low-latency-1.0-21 and condor-job-hooks-1.0-13 and Message ID and Correlation ID were there.
-->VERIFIED
Comment 7 errata-xmlrpc 2009-12-03 04:19:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html

Note You need to log in before you can comment on or make changes to this bug.